import { __require as s } from "./php.mjs";
var e, t;
function n() {
  if (t)
    return e;
  t = 1;
  var p = s();
  e = r, r.displayName = "phpExtras", r.aliases = [];
  function r(a) {
    a.register(p), a.languages.insertBefore("php", "variable", {
      this: {
        pattern: /\$this\b/,
        alias: "keyword"
      },
      global: /\$(?:GLOBALS|HTTP_RAW_POST_DATA|_(?:COOKIE|ENV|FILES|GET|POST|REQUEST|SERVER|SESSION)|argc|argv|http_response_header|php_errormsg)\b/,
      scope: {
        pattern: /\b[\w\\]+::/,
        inside: {
          keyword: /\b(?:parent|self|static)\b/,
          punctuation: /::|\\/
        }
      }
    });
  }
  return e;
}
export {
  n as __require
};
